# Localisation

Localisation is controlled by the `locale` parameter. If no parameter is given, the response includes only the default language of the repository.

Possible values for `locale` are `<languageKey>` or `all`

| **Value**                     | **Function**                                                                                                                 |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `<languageKey>`, e.g. `en_US` | Returns the field values for the specified locale, or their fallback (if configured).                                        |
| `all`                         | Returns all available locales as field value, prefixed by their language key. (See the response in the query example below). |

## Set localisation for query results

<mark style="color:blue;">`GET`</mark> `https://api.cmft.io/v1/<repoName>/<endpoint>?locale=<languageKey>`

#### Path Parameters

| Name     | Type   | Description                                     |
| -------- | ------ | ----------------------------------------------- |
| repoName | string | The API identifier of the repository            |
| endpoint | string | The endpoint you'd like to request              |
| locale   | string | Provide the language Key, e.g. `en_US` or `all` |

{% tabs %}
{% tab title="200 " %}

```javascript
// Response with a specific language key or the default language
{
  "fields": {
    "title": "Roses are red"
  },
  "meta": {
    "id": "314159265358979323",
    "contentType": "poem",
    "repository": "314159265358979323",
    "revision": 1,
    "tags": [],
    "createdAt": "2018-01-01T00:00:00.000Z",
    "updatedAt": "2018-01-01T00:00:00.000Z"
  }
}

// Response with locale="all"
{
  "fields": {
    "title": {
      "en_US": "Roses are red",
      "de_DE": "Rosen sind rot"
    }
  },
  "meta": {
    "id": "314159265358979323",
    "contentType": "poem",
    "repository": "314159265358979323",
    "revision": 1,
    "tags": [],
    "createdAt": "2018-01-01T00:00:00.000Z",
    "updatedAt": "2018-01-01T00:00:00.000Z"
  }
}
```

{% endtab %}
{% endtabs %}

## Examples

Find some example on the collections example page:

{% content-ref url="/pages/-LEUZGK6bjs\_6YDrz\_rM" %}
[Collections](/apis/rest-api/examples/collections.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.comfortable.io/apis/rest-api/filters/localisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
